function ihb_UpdateAllClusters
%==================================================================================
% FORMAT ihb_UpdateClusters
%==================================================================================
% Update all clusters with new talariach voxel size
%==================================================================================
%   10.04.01    Sergey Pakhomov
%==================================================================================
hFigMain = findobj('Type', 'figure', 'Tag', 'ihb_TalSpaceMain_fig');
clusters = getappdata(hFigMain, 'clusters');
numClust = size(clusters, 2);
nTotalVox = sum([clusters(:).numVox]);
nTotalProcessed = 0;
hWait = waitbar(0,'Preparing cluster data. Please wait...');
for curClust = 1:numClust
    clOut = ihb_UpdateClusterTalVoxSize(clusters(curClust), nTotalVox, nTotalProcessed);
    nTotalProcessed = nTotalProcessed + clOut.numVox;  
    clusters(curClust) = clOut;
end
close(hWait);
setappdata(hFigMain, 'clusters', clusters);
